Subject: Re: linux-next: build warnings after merge of the tip tree

From: Steven Rostedt <[email-masked]>
Date: Mon, 21 Mar 2022 12:54:19 -0400

On Mon, 21 Mar 2022 17:50:50 +0100
Peter Zijlstra <[email-masked]> wrote:

> > This also assumes that we need to trace everything that is marked. I
> > mentioned in another email, what do we do if we only trace funcA?  
> 
> Like I said later on; if we inhibit tail-calls to notrace, this goes
> away.

Please no. The number of "notrace" functions is increasing to the point
that it's starting to make function tracing useless in a lot of
circumstances. I've already lost my ability to see when user space goes
into the kernel (which I have to hack up custom coding to enable again).

-- Steve